mandos-client_1.6.9-1_amd64.deb


Advertisement

Description

mandos-client - do unattended reboots with an encrypted root file system

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name mandos-client
Package version 1.6.9
Package release 1
Package architecture amd64
Package type deb
Installed size 320 B
Download size 89.49 KB
Official Mirror ftp.br.debian.org
This is the client part of the Mandos system, which allows
computers to have encrypted root file systems and at the
same time be capable of remote and/or unattended reboots.
The computers run a small client program in the initial RAM
disk environment which will communicate with a server over a
network.  All network communication is encrypted using TLS.
The clients are identified by the server using an OpenPGP
key; each client has one unique to it.  The server sends the
clients an encrypted password.  The encrypted password is
decrypted by the clients using the same OpenPGP key, and the
password is then used to unlock the root file system,
whereupon the computers can continue booting normally.

Alternatives

Package Version Architecture Repository
mandos-client_1.6.9-1_i386.deb 1.6.9 i386 Debian Main
mandos-client - - -

Requires

Name Value
adduser -
cryptsetup -
dpkg-dev >= 1.16.0
gnupg << 2
initramfs-tools -
libavahi-common3 >= 0.6.16
libavahi-core7 >= 0.6.24
libc6 >= 2.15
libgnutls-deb0-28 >= 3.3.0
libgpgme11 >= 1.2.0

Download

Type URL
Binary Package mandos-client_1.6.9-1_amd64.deb
Source Package mandos

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mandos-client deb package:
    # sudo apt-get install mandos-client

Files

Path
/etc/mandos/plugin-runner.conf
/usr/lib/x86_64-linux-gnu/mandos/plugin-runner
/usr/lib/x86_64-linux-gnu/mandos/plugins.d/askpass-fifo
/usr/lib/x86_64-linux-gnu/mandos/plugins.d/mandos-client
/usr/lib/x86_64-linux-gnu/mandos/plugins.d/password-prompt
/usr/lib/x86_64-linux-gnu/mandos/plugins.d/plymouth
/usr/lib/x86_64-linux-gnu/mandos/plugins.d/splashy
/usr/lib/x86_64-linux-gnu/mandos/plugins.d/usplash
/usr/sbin/mandos-keygen
/usr/share/doc/mandos-client/NEWS.gz
/usr/share/doc/mandos-client/README
/usr/share/doc/mandos-client/README.Debian.gz
/usr/share/doc/mandos-client/TODO.gz
/usr/share/doc/mandos-client/changelog.Debian.gz
/usr/share/doc/mandos-client/copyright
/usr/share/doc/mandos-client/examples/network-hooks.d/bridge
/usr/share/doc/mandos-client/examples/network-hooks.d/bridge.conf
/usr/share/doc/mandos-client/examples/network-hooks.d/openvpn
/usr/share/doc/mandos-client/examples/network-hooks.d/openvpn.conf
/usr/share/doc/mandos-client/examples/network-hooks.d/wireless.conf
/usr/share/doc/mandos-client/examples/network-hooks.d/wireless.gz
/usr/share/initramfs-tools/conf-hooks.d/mandos
/usr/share/initramfs-tools/hooks/mandos
/usr/share/initramfs-tools/scripts/init-premount/mandos
/usr/share/lintian/overrides/mandos-client
/usr/share/man/man5/plugin-runner.conf.5mandos.gz
/usr/share/man/man8/askpass-fifo.8mandos.gz
/usr/share/man/man8/mandos-client.8mandos.gz
/usr/share/man/man8/mandos-keygen.8.gz
/usr/share/man/man8/password-prompt.8mandos.gz
/usr/share/man/man8/plugin-runner.8mandos.gz
/usr/share/man/man8/plymouth.8mandos.gz
/usr/share/man/man8/splashy.8mandos.gz
/usr/share/man/man8/usplash.8mandos.gz

Changelog

2014-10-05 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.9-1) unstable; urgency=medium
* New upstream release.
* debian/control (Build-Depends): Fix "still uses GnutLS 2.x" by
changing from "libgnutls-dev" to "libgnutls28-dev | gnutls-dev"
(Closes: #762349)
2014-08-06 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.8-1) unstable; urgency=medium
* New upstream release.
* debian/control (Source: mandos/Build-Depends-Indep): Since upstream
now requires Python 2.7, depend on exactly the python2.7 package and
all the Python 2.7 versions of the python modules.
(Package: mandos/Depends): - '' - but still depend on python (>=2.7)
and the generic versions of the Python modules; this is for mandos-ctl
and mandos-monitor, both of which are compatible with Python 3, and
use #!/usr/bin/python.
2014-07-17 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.7-1) unstable; urgency=medium
* New upstream release.
2014-07-13 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.6-1) unstable; urgency=medium
* New upstream release.
* debian/mandos.postinst: Fix typo in comment.
* debian/control (mandos/Recommends): Changed to "ssh-client | fping".
(mandos-client/Recommends): New; set to "ssh".
2014-06-06 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.5-3) unstable; urgency=medium
* debian/control (mandos-client/Depends): Add "dpkg-dev (>=1.16.0)";
initramfs-tools-hook runs "dpkg-architecture -qDEB_HOST_MULTIARCH".
(Closes: #750221)
2014-05-13 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.5-2) unstable; urgency=medium
* debian/rules (override_dh_auto_test-arch): New; does nothing.  Fixes
FTBFS for build-indep.
2014-05-11 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.5-1) unstable; urgency=medium
* New upstream release.
* debian/copyright: Change year to "2014".
* debian/control (Build-Depends, Build-Depends-Indep): Moved build
dependencies of "mandos" package to "Build-Depends-Indep".
* debian/upstream/signing-key.asc: New; upstream source public key.
* debian/control (Standards-Version): Updated to "3.9.5".
* debian/control (mandos/Depends): Remove the dependency on
"avahi-daemon (>= 0.6.31-3) | systemd-sysv".  It is unnecessary
since we have a workaround in debian/mandos.postinst anyway.
2014-02-16 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.4-1) unstable; urgency=medium
* New upstream release.
* debian/control (Build-Depends): Add Python dependencies to
successfully run self-tests.
* debian/copyright: GPLv3 now has its own license file - use it.
* debian/watch: Set PGP signature URL.
2014-01-21 - Teddy Hogeborn <teddy@recompile.se>
mandos (1.6.3-1) unstable; urgency=low
* New upstream release.
* debian/control (Build-Depends): Added "systemd".
* debian/mandos.dirs (lib/systemd/system): New.
* debian/mandos-client.README.Debian: Refer to architecture libdir.
* debian/control (mandos/Depends): Add "avahi-daemon (>= 0.6.31-3) |
systemd-sysv".
* debian/mandos.postinst: If avahi-daemon is version 0.6.31-2 or older,
edit /etc/init.d script headers Required-Start
and Required-Stop to have "avahi" instead of
"avahi-daemon", before insserv(8) sees it.
* debian/mandos-client.lintian-overrides: Libdir changes.
* debian/rules (override_dh_fixperms): - '' -

See Also

Package Description
mandos_1.6.9-1_all.deb server giving encrypted passwords to Mandos clients
mangler_1.2.5-2_amd64.deb Ventrilo compatible client for Linux
mango-lassi_001+dfsg-5_amd64.deb Share mouse and pointer with other computers
manpages-de-dev_1.8-1_all.deb German development manpages
manpages-de_1.8-1_all.deb German manpages
manpages-dev_3.74-1_all.deb Manual pages about using GNU/Linux for development
manpages-es-extra_0.8a-17_all.deb Spanish extra manpages
manpages-es_1.55-10_all.deb Spanish man pages
manpages-fr-dev_3.65d1p1-1_all.deb French version of the development manual pages
manpages-fr-extra_20150130_all.deb French version of the manual pages
manpages-fr_3.65d1p1-1_all.deb French version of the manual pages about using GNU/Linux
manpages-hu_20010119-5_all.deb Hungarian manpages
manpages-it_2.80-5_all.deb Italian version of the manual pages
manpages-ja-dev_0.5.0.0.20140515+dfsg-1_all.deb Japanese version of the manual pages (for developers)
manpages-ja_0.5.0.0.20140515+dfsg-1_all.deb Japanese version of the manual pages (for users)
Advertisement
Advertisement